package com.kingdee.eas.custom.entryconfig;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class DataConfigEntryFactory
{
    private DataConfigEntryFactory()
    {
    }
    public static com.kingdee.eas.custom.entryconfig.IDataConfigEntry getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.entryconfig.IDataConfigEntry)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("D14670A7") ,com.kingdee.eas.custom.entryconfig.IDataConfigEntry.class);
    }
    
    public static com.kingdee.eas.custom.entryconfig.IDataConfigEntry getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.entryconfig.IDataConfigEntry)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("D14670A7") ,com.kingdee.eas.custom.entryconfig.IDataConfigEntry.class, objectCtx);
    }
    public static com.kingdee.eas.custom.entryconfig.IDataConfigEntry getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.entryconfig.IDataConfigEntry)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("D14670A7"));
    }
    public static com.kingdee.eas.custom.entryconfig.IDataConfigEntry getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.entryconfig.IDataConfigEntry)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("D14670A7"));
    }
}